		.ie-message-visual-state {
		    display: none;
		}

		.ie-message-visual-state .all-wrapper{
			box-shadow: none;
		}

		.app-visual-state {
		    display: block;
		}

		< !--[if IE]>.ie-message-visual-state {
		    display: block;
		}

		@media all and (forced-color-adjust: none),
		(forced-colors: active) {
		    .ie-message-visual-state {
		        display: block;
		    }

		    .app-visual-state {
		        display: none;
		    }

		    html,
		    body {
		        height: 100%;
		        overflow: hidden;
		    }

		    body {
		        background-size: cover;
		        background-position: center;
		        background-color: #4040bf;
		        background: -webkit-gradient(linear, left top, right bottom, from(#4040bf), to(#a6a6d8));
		        background: linear-gradient(to bottom right, #4040bf, #a6a6d8);
		        background-attachment: fixed;
		        padding: 0;
		        font-size: 0.9rem;
		        font-family: Inter, Nunito, "Open Sans", Roboto, "Helvetica Neue", Helvetica, Arial, sans-serif;
		    }

		    .auth-wrapper {
		        overflow-y: auto;
		        height: 100%;
		    }

		    .auth-wrapper .all-wrapper {
		        overflow-y: hidden;
		        padding: 0;
		        display: -webkit-box;
		        display: -ms-flexbox;
		        display: flex;
		        -webkit-box-orient: vertical;
		        -webkit-box-direction: normal;
		        -ms-flex-direction: column;
		        flex-direction: column;
		        -webkit-box-pack: center;
		        -ms-flex-pack: center;
		        justify-content: center;
		        -webkit-box-align: center;
		        -ms-flex-align: center;
		        align-items: center;
		        height: 100%;
		        min-height: 100vh;
		        margin: 0px auto;
		        position: relative;
		    }

		    .auth-box-w {
		        background-color: #fff;
		        border-radius: 6px;
		        -webkit-box-shadow: 0px 0px 40px rgb(0 0 0 / 10%);
		        box-shadow: 0px 0px 40px rgb(0 0 0 / 10%);
		        overflow: hidden;
		        width: 585px;
		        max-width: calc(100% - 2rem);
		        text-align: center;
		        margin: 2rem 1rem;
		    }

		    .auth-box-w.si-app .logo-w {
		        padding: 0 1.5rem;
		        background-color: #262660;
		        color: #ffffff;
		        min-height: 100px;
		        text-align: center;
		    }

		    .auth-box-w.si-app .logo-w a {
		        width: 100%;
		        display: inline-block;
		    }

		    a {
		        color: #262660;
		        text-decoration: none;
		        background-color: transparent;
		    }

		    .logo-image {
		        width: 75%;
		        max-width: 300px;
		        height: auto;
		    }

		    .alert.alert-danger {
		        border-radius: 5px 5px 5px 5px;
		        border-width: 0;
		        font-weight: 400;
		        padding: 0.75rem 1.25rem;
		        background-color: #dc3545;
		        border: 2px solid #dc3545;
		        color: #fff;
		        margin-bottom: 0;
		    }

		    .alert a {
		        text-decoration: underline;
		        color: inherit;
		    }

		    .p-4 {
		        padding: 1.5rem;
		    }
		}

		< ![endif]-->

		/* To be generated */
		.pre-loading {
		    background: linear-gradient(to bottom right, #4040bf, #65caf1);
		    height: 100vh;
		    width: 100vw;
		    position: absolute;
		    top: 0;
		    left: 0;
		    right: 0;
		    bottom: 0;
		}

		.pre-loading>.icon-wrapper {
		    position: absolute;
		    top: 50%;
		    left: 50%;
		    transform: translate(-50%, -50%);
		}

		.pre-loading>.icon-wrapper>svg {
		    color: #ffffff;
		    width: 50px;
		    height: 50px;
		    animation: fa-spin 2s linear infinite;
		}

		@keyframes fa-spin {
		    0% {
		        transform: rotate(0deg);
		    }

		    100% {
		        transform: rotate(360deg);
		    }
		}